VoidnetVoid Docs
ReferenceApi

AI agents: read this documentation natively — index: https://docs.openvoidnet.com/llms.txt, full: https://docs.openvoidnet.com/llms-full.txt, this page: https://docs.openvoidnet.com/docs/reference/api/llm.md.

Llm

Chat + models (OpenAI-compatible)

GET/v1-beta/llm/{username}/{appname}

Path Parameters

username*string

Publisher username (the developer's public identifier)

appname*string

App name, unique per publisher

Header Parameters

Authorization*string

Bearer credential — API key (vnb-sk-* / vai-sk-*) or JWT access token (scope llm:completions)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1-beta/llm/string/string" \  -H "Authorization: string"
{}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
POST/v1-beta/llm/{username}/{appname}

Path Parameters

username*string

Publisher username (the developer's public identifier)

appname*string

App name, unique per publisher

Header Parameters

Authorization*string

Bearer credential — API key (vnb-sk-* / vai-sk-*) or JWT access token (scope llm:completions)

Request Body

application/json

OpenAI chat body {model, messages} — proxied verbatim

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1-beta/llm/string/string" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "status": 0
  }
}